Subject: Re: [sieve] [draft-melnikov-sieve-external-lists] 2.2 Allow Extensions To Use List

From: Robert Burrell Donkin <[email-masked]>
Date: Fri, 4 Sep 2009 11:40:41 +0100

On Sun, Aug 30, 2009 at 6:21 PM, Ned Freed<[email-masked]> wrote:
>> Ned Freed wrote:
>
>> >This proposal seems OK to me.
>> >
>> Ok, I've included this into my working copy.
>> Should the "string" test be required as well?
>>  [...]
>
> Yes, I think if both variables and external lists are supported, the string
> test must allow :list.
>
>>
>> >> >>--------------------------------------------------------------------------
>> >>[1] Proposal
>>
>> >> >>--------------------------------------------------------------------------
>> >>
>> >>
>> >>2.2.  :list match type
>> >>
>> >>
>> >>   ABNF:
>> >>
>> >>
>> >>      MATCH-TYPE  =/ ":list"
>> >>           ; only valid for supported tests
>> >>
>> >>
>> >>   The new ":list" match type changes the interpretation of the "key-
>> >>   list" parameter to supported tests.  When the match type is ":list",
>> >>   the key-list becomes a list of names of externally stored lists.
>> >>   The external lists are queried, perhaps through a list-specific
>> >>   mechanism, and the test evaluates to "true" if any of the specified
>> >>   values matches any member of one or more of the lists.
>> >>
>> >>
>> >>   Implementations MUST support "address", "envelope" and "header"
>> >> tests.
>> >>   Implementations MAY support other tests but MUST raise a compile
>> >>   time error when a script contains any standard test where support has
>> >>   not been explicitly specified.
>
> I'm not comfortable with this being required to be compile time error. Think
> for a minute about the interaction with the ihave extension.

+1

my main concern is error handling clarity. i'm happy for this to be runtime.

- robert